Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Lots of conflict after the "True multilib support " update
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
gulbuhar
n00b
n00b


Joined: 12 Apr 2015
Posts: 8

PostPosted: Sat Apr 18, 2015 10:04 pm    Post subject: Lots of conflict after the "True multilib support " Reply with quote

Hi,

After the recent update of emul-linux-x86 Im getting lots of package conflict I don't know its normal or not? i did an @World update after unmergeing emul-linux-x86
Its really annoying

For e.g,>
Code:
[ebuild   R    ] net-libs/ptlib-2.10.10:0/2.10.10  USE="alsa asn dtmf ffmpeg http ipv6 ldap pulseaudio sdl sound ssl stun v4l video wav xml -debug* -doc -examples -ftp -jabber -lua -mail -odbc -oss -pch -qos -remote -sasl -serial -shmvideo -snmp -soap -socks -static-libs -telnet -tts -vxml -xmlrpc" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/ptlib:0

  (net-libs/ptlib-2.10.10:0/2.10.10::gentoo, ebuild scheduled for merge) pulled in by
    net-libs/ptlib (Argument)

  (net-libs/ptlib-2.10.10:0/2.10.10::gentoo, installed) pulled in by
    >=net-libs/ptlib-2.10.10:0/2.10.10=[stun,debug,dtmf,http,ipv6,ldap,sound,ssl,video,xml] required by (net-libs/opal-3.10.11:0/0::gentoo, installed)
                                             ^^^^^                                                                                                                                       
    >=net-libs/ptlib-2.10.9[ldap?,stun,v4l?,video,wav,debug=,dtmf,pulseaudio?,xml] required by (net-voip/ekiga-4.0.1:0/0::gentoo, installed)
                                                      ^^^^^^                                                                                                                   
    >=net-libs/ptlib-2.10.10:=[stun,debug=,dtmf,http,ipv6?,ldap?,sound?,ssl?,video?,vxml?,wav?,xml?] required by (net-libs/opal-3.10.11:0/0::gentoo, installed)
                                    ^^^^^^                                                                                                                                                         


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4606
Location: USA

PostPosted: Sat Apr 18, 2015 10:42 pm    Post subject: Reply with quote

Not entirely sure this is caused by the emul-linux-x86 multilib enhancement, but it's apparently complaining that the compiled/compiling opal, ekiga, and ptlib have different USE flags, specifically USE=debug ... You can try USE=debug or USE=-debug in your make.conf and see if it will go away (make sure you remerge all three of these). Make sure you didn't set any of these USE flags manually for these packages...

If you want to minimize merges, you need to have all three match whatever you have set for ptlib as it apparently is the lowest level dependency of the three.

Gentoo is dependency hell. But it's the price that needs to be paid for flexibility.
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum